All, I am getting this error when trying to update:

Hi All,

I am getting this error when trying to update:
The package could not be installed. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

After searching the forums other plugins have had this error before one suggestion is to download and ftp the files over, would you recommend this for this situation?

Thanks in advance.